package edu.toronto.cs.ctl;

/**
 ** This is an existential strong until CTL node.
 **/
public class CTLEUNode extends CTLAbstractNode
{

  /**
   ** Construct an existential strong until CTL node using two other
   ** nodes as its children.
   **/
  protected CTLEUNode (CTLNode phi, CTLNode psi)
  {
    super (phi, psi);
  }

  public String toString ()
  {
    return "E[" + getLeft () + " U " + getRight () + "]";
  }

  public void accept (CTLVisitor v, Object s)
  {
    v.visitEUNode (this, s);
  }

}



