package edu.toronto.cs.prettygraph;

import java.util.*;

import edu.toronto.cs.ctl.*;

/**
 ** This is an abstract CTL node.
 **/
public class NodeNamer extends CTLVisitorDefaulterAncestor
{
  public void visitAbstractNode (CTLAbstractNode n, Object stateinfo)
  {
    ((StringBuffer)stateinfo).append ("?n?:");
  }

  public void visitAFNode (CTLAFNode node, Object stateinfo)
  {
    ((StringBuffer)stateinfo).append ("AF ");
  }
  
  public void visitAGNode (CTLAGNode node, Object stateinfo)
  {
    ((StringBuffer)stateinfo).append ("AG ");
  }
  
  public void visitAUNode (CTLAUNode node, Object stateinfo)
  {
    ((StringBuffer)stateinfo).append ("AU ");
  }
  
  public void visitAUiNode (CTLAUiNode node, Object stateinfo)
  {
    ((StringBuffer)stateinfo).append ("AUi ");
  }
  
  public void visitAWNode (CTLAWNode node, Object stateinfo)
  {
    ((StringBuffer)stateinfo).append ("AW ");
  }
  
  public void visitAXNode (CTLAXNode node, Object stateinfo)
  {
    ((StringBuffer)stateinfo).append ("AX ");
  }
  
  public void visitEFNode (CTLEFNode node, Object stateinfo)
  {
    ((StringBuffer)stateinfo).append ("EF ");
  }
  
  public void visitEGNode (CTLEGNode node, Object stateinfo)
  {
    ((StringBuffer)stateinfo).append ("EG ");
  }
  
  public void visitEUNode (CTLEUNode node, Object stateinfo)
  {
    ((StringBuffer)stateinfo).append ("EU ");
  }
  
  public void visitEUiNode (CTLEUiNode node, Object stateinfo)
  {
    ((StringBuffer)stateinfo).append ("EUi ");
  }
  
  public void visitEWNode (CTLEWNode node, Object stateinfo)
  {
    ((StringBuffer)stateinfo).append ("EW ");
  }
  
  public void visitEXNode (CTLEXNode node, Object stateinfo)
  {
    ((StringBuffer)stateinfo).append ("EX ");
  }
  
  
}

