package edu.toronto.cs.prettygraph;

import java.util.*;

import edu.toronto.cs.util.dgraph.*;

public class PrettyGraphEdgeVisitorAncestor extends DGEdgeVisitorAncestor implements PrettyGraphEdgeVisitor
{
  
  public void visit (DGEdgeVisitable edge, Object stateinfo)
  {
    if (edge instanceof PrettyGraphEdgeVisitable)
      prettyvisit ((PrettyGraphEdgeVisitable)edge, stateinfo);
    else
      super.visit (edge, stateinfo);
  }
  
  public void prettyvisit (PrettyGraphEdgeVisitable edge, Object stateinfo)
  {
    edge.accept ((PrettyGraphEdgeVisitor)this, stateinfo);
  }
  
  public void visitPrettyGraphEdge (PrettyGraphEdge edge, Object stateinfo)
  {
  }

  public void visitPrettyKegEdge (PrettyKegEdge edge, Object stateinfo)
  {
  }
  
  public void visitPrettyXKTransition (PrettyXKTransition edge, Object stateinfo)
  {
  }

  public void visitPrettyGraphMDDEdge (PrettyGraphMDDEdge edge, Object stateinfo)
  {
  }

  public PrettyGraphEdgeVisitorAncestor ()
  {
  }

}





