package edu.toronto.cs.util.dgraph;

import java.util.*; // We all love java.util ...

public class DGEdge implements DGEdgeVisitable
{
  Object data;
  DGNode origin;
  DGNode destination;
  
  public DGEdge (DGNode _origin, DGNode _destination)
  {
    origin = _origin;
    destination = _destination;
    
  }

  public void setData (Object _data)
  {
    data = _data;
  }
  
  public Object getData ()
  {
    return data;
  }

  public DGNode getOrigin ()
  {
    return origin;
  }
  
  public DGNode getDestination ()
  {
    return destination;
  }

  public void accept (DGEdgeVisitor visitor, Object stateinfo)
  {
    visitor.visitDGEdge (this, stateinfo);
  }
  
}
