package edu.toronto.cs.util.dgraph;

import java.util.*; // We all love java.util ...

import edu.toronto.cs.util.*;

/** DGNode with equals...
    @author CDTW */
public class DGlobalUniqueFactory extends DGUniqueNodeFactory
{
  static Logger log = new Logger ("DGlobalUniqueFactory");

  Map globalMap;
  
  public DGlobalUniqueFactory ()
  {
    globalMap = new HashMap ();
  }

  public DGUniqueNode getNode (Object ident)
  {
    return (DGUniqueNode) globalMap.get (ident);
  }
  

  public DGUniqueNode obtainNode (DGUniqueNode target, Object ident)
    {
      if (globalMap.containsKey (ident))
	{
	  log.debug ("Node existed!");
	  return ((DGUniqueNode)globalMap.get (ident));
	}
      log.debug ("creating new node.");
      DGUniqueNode returnNode = instantNode (ident);
      globalMap.put (ident, returnNode);
      
      return returnNode;
    }
}

