package edu.toronto.cs.algebra;

public interface Algebra 
{

  static final int NO_VALUE=-1;

  int binOp(int l, int r, int opcode) throws NotAnOperationException;
  int unOp(int l, int opcode) throws NotAnOperationException;

  int plus(int l, int r) throws NotInCarrierSetException;
  int idplusIdx();

  int times(int l, int r) throws NotInCarrierSetException;
  int idtimesIdx();

  // Equal; less than or equal; greater than or equal
  public boolean eq (int a, int b); 
  public boolean leq (int a, int b);
  public boolean geq (int a, int b);
    
  int size();

  // -- does not really belong here but it's a hack :)
  Object getElementKeyByIdx (int idx);
}


