package edu.toronto.cs.ctl;

/**
 ** This is an atomic CTL node.
 **/
public class CTLAtomNode extends CTLAbstractNode
{

  protected Object name;

  protected CTLAtomNode ()
  {
    super ();
    name = null;
  }

  /**
   ** Construct an atomic CTL node from an Object.
   **/
  protected CTLAtomNode (Object a)
  {
    super ();
    name = a;
  }

  public Object getName ()
  {
    return name;
  }

  protected void setName (Object d)
  {
    name = d;
  }

  public String toString ()
  {
    return name.toString();
  }


  public void accept (CTLVisitor v, Object s)
  {
    v.visitAtomNode (this, s);
  }

}
