package edu.toronto.cs.prettygraph;

import java.util.*;

import edu.toronto.cs.util.dgraph.*;
import edu.toronto.cs.util.*;

public class PrettyGraphMDDEdge extends PrettyGraphEdge
{
  static Logger log = new Logger ("PrettyGraphMDDEdge");

  int value;
  
  public PrettyGraphMDDEdge 
    (PrettyGraphNode origin, PrettyGraphNode dest, int _value)
  {
    super (origin, dest);
    value = _value;
    log.debug ("Instanting MDDEDge with value of "+value);
  }
  
  public int getValue ()
  {
    return value;
  }
  
  public void accept (PrettyGraphEdgeVisitor visitor, Object stateinfo)
  {
    visitor.visitPrettyGraphMDDEdge (this, stateinfo);
  }

  //int c = 0;
  
  public String getName ()
  {
    //c++;
    log.debug ("Returning: "+((PrettyGraphNode)getOrigin ()).getName ()+value);
    log.debug ("From: "+ ((PrettyGraphNode)getOrigin ()).getName ());
    log.debug ("To: "+ ((PrettyGraphNode)getDestination ()).getName ());
    log.debug ("Value "+value);
    //System.out.println ("Something.");
    //try {
    ////    System.out.println ("On: " + getName ());
//      }
//      catch (Throwable t)
//        {
//  	t.printStackTrace ();
    //}
    
    //Assert.assert (c<3, "Crash.");
    
    return ""+((PrettyGraphNode)getOrigin ()).getName ()+value;
  }
  
  public String toString ()
  {
    return getName ();
  }

}


//    static Logger log = new Logger ("PrettyGraphMMDDEdge");
//    Set values;
  
//    public PrettyGraphMDDEdge (PrettyGraphNode origin, 
//  			  PrettyGraphNode destination, int _value)
//    {
//      super (origin, destination);
//      values = new HashSet ();
//      values.add (new Integer (_value));
//      name = name + "--" + value;
//      log.debug ("Setting up with origin "+origin);
//      log.debug (" dest "+destination);
//      log.debug (" value"+values);
//      log.debug ("name "+name);
//    }

//    public Set getValues ()
//    {
//      return values;
//    }

//    public PrettyGraphMDDEdge addMulti (int i)
//    {
//      values.add (new Integer (i));
//      return this;
//    }
  
//    public void accept (PrettyGraphEdgeVisitor visitor)
//    {
//      visitor.visitPrettyGraphMDDEdge (this);
//    }
  
//  }










