package edu.toronto.cs.prettygraph;

import edu.toronto.cs.util.dgraph.*;

/**
 * DVGraphNodeFactory.java
 *
 *
 * Created: Fri Jul 13 19:42:41 2001
 *
 * @author <a href="mailto:cdtw@cs.toronto.edu">Christopher D. Thompson-Walsh</a>
 * @version
 */

public class PrettyNodeFactory extends DGlobalUniqueFactory 
{
  public PrettyNodeFactory ()
  {
    
  }

  public PrettyGraphNode createNode (PrettyGraphNode target, Object name)
  {
    return (PrettyGraphNode)obtainNode (target, name);
  }
  
  //  public PrettyGraphNode createNode (Object name)
//    {
//      return (PrettyGraphNode)obtainNode (null, name);
  //}

  public DGUniqueNode instantNode (Object ident)
  {
    return new PrettyGraphNode (ident, this);
  }
  
  public boolean addOk (DGNode node)
  {
    if (node instanceof PrettyGraphNode)
      {
	((PrettyGraphNode)node).owner = this;
	doAdd (node);
	return true;
      }
    return false;
  }
  
  
}// PrettyNodeFactory







